/* -*- c++ -*-
*
* test.cpp
*
* Copyright (C) 2004 Petter Stokke <ummo@hellokitty.com>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.
*
*/

#include "version.h"
#include "previewstreamer.h"

#include <kdebug.h>
#include <kapplication.h>
#include <kcmdlineargs.h>

int main(int argc, char** argv)
{
    KCmdLineArgs::init(argc, argv, "kmldonkeyd_test", "A test wrapper for kmldonkeyd", KMLDONKEY_VERSION);
    KApplication::addCmdLineOptions();
    KApplication app;
    PreviewStreamerServer* foo = new PreviewStreamerServer();
    kdDebug() << "Initialised objects. Entering event loop." << endl;
    app.exec();
    kdDebug() << "Event loop terminated." << endl;
    delete foo;
    return 0;
}

